Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.usermgmt.profile
Interface UserProfileManager

    @ControlInterface
    public interface UserProfileManager

ProfileManager is a stateless session bean used to access profile values. It coordinates successor searches and mapping properties to different datasources.

This control has been deprecated. Use the ProfileControl instead.

To provide a successor to the methods which take one, use the profile name of the successor profile. Each profile manager uses only one type as the successor type; for example, when specifying a successor to a UserProfileManager, it assumes the name is a group profile name. Property mapping is done through the deployment descriptor of the ProfileManager session bean. First, the default EntityPropertyManager to be used must have an ejb-ref named ejb/EntityPropertyManager. Any other EntityPropertyManager's to be used must also have ejb-refs. To map properties to a non-default EntityPropertyManager:

- To map an entire property set: create an environment entry called PropertyMapping/<property set name> which is a String that holds the name of the ejb-ref to use for that property set. For example, PropertyMapping/Ldap might have the value ejb/LdapPropertyManager, which is an ejb-ref pointing to an EntityPropertyManager that goes to an ldap server.
- To map a single property: create an environment entry called PropertyMapping/<property set name>.<property name> which is a String that holds the name of the ejb-ref to use for that property. For example, PropertyMapping/Ldap.fax might have the value ejb/CustomerPropertyManager, which is an ejb-ref pointing to an EntityPropertyManager that goes to a customer database table.

If a property set is mapped to an EntityPropertyManager, and another entry maps one property of that property set to a different EntityPropertyManager, the single property mapping will override the property set mapping. In the previous examples, the LdapPropertyManager would be used for all properties in the Ldap property set except for "fax", which would be retrieved from the CustomerPropertyManager.

This control requires that the UserProfileManager EJB has been deployed to the application. The UserProfileManager EJB is contained in p13n_ejb.jar, and is automatically deployed as part of a Portal application.

See Also
  `EntityPropertyCache`

Method Summary
`void` | `createProfile(String profileName)` Deprecated Use ProfileControl.getUserProfileManager().createProfile(name)
`void` | `deleteProfile(String profileName)` Deprecated use ProfileControl.deleteProfile(profileName)
`String[]` | `getAllProfileNames()` Deprecated use ProfileControl.getAllProfileNames()
`String` | `getJndiName()` Deprecated Use ProfileControl.getUserProfileManager().getJNDIName()
`String` | `getProfileName(long profileId)` Deprecated Use ProfileControl.getUserProfileManager().getProfileName()
`EntityPropertyCache` | `getProperties(String profileName)` Deprecated Use ProfileControl.getUserProfileManager().getProperties()
`EntityPropertyCache` | `getPropertiesForKeys(String profileName, Set propertyMapKeys)` Deprecated Use ProfileControl.getUserProfileManager().getPropertiesForKeys()
`EntityPropertyCache` | `getPropertiesInPropertySet(String profileName, String propertySetName)` Deprecated Use ProfileControl.getUserProfileManager().getPropertiesInPropertySet()
`Object` | `getProperty(String profileName, String propertySet, String propertyName)` Deprecated Use ProfileControl.getUserProfileManager().getProperty()
`String` | `getPropertyAsString(String profileName, String propertySet, String propertyName)` Deprecated Use ProfileControl.getUserProfileManager().getPropertyAsString()
`String` | `getPropertyAsStringTrySuccessor(String profileName, String propertySet, String propertyName, String successor)` Deprecated Use ProfileControl.getUserProfileManager().getPropertyAsStringTrySuccessor()
`Object` | `getPropertyNoDefault(String profileName, String propertySet, String propertyName, String successor)` Deprecated Use ProfileControl.getUserProfileManager().getPropertyNoDefault()
`Object` | `getPropertyTrySuccessor(String profileName, String propertySet, String propertyName, String successor)` Deprecated Use ProfileControl.getUserProfileManager().getPropertyTrySuccessor()
`String` | `getSuccessor(String profileName, String propertySet)` Deprecated Use ProfileControl.getUserProfileManager().getSuccessor()
`long` | `getUniqueId(String profileName)` Deprecated Use ProfileControl.getUserProfileManager().getUniqueId()
`boolean` | `profileExists(String profileName)` Deprecated Use ProfileControl.getUserProfileManager().profileExists(profileName)
`Object` | `removeProperty(String profileName, String propertySet, String propertyName)` Deprecated Use ProfileControl.getUserProfileManager().removeProperty()
`void` | `removeSuccessor(String profileName, String propertySet)` Deprecated Use ProfileControl.getUserProfileManager().removeSuccessor()
`void` | `setProperty(String profileName, String propertySet, String propertyName, Object value)` Deprecated Use ProfileControl.getUserProfileManager().setProperty()
`void` | `setSuccessor(String profileName, String propertySet, String successor)` Deprecated Use ProfileControl.getUserProfileManager().setSuccessor()

Method Detail

### profileExists

    boolean profileExists(String profileName)
                          throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().profileExists(profileName)

  Determine if a profile exists

  Parameters
    `profileName` - the name to look for
  Returns
    true if it exists, false otherwise
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if errors accessing UserProfileManager EJB
    `P13nControlException`

### createProfile

    void createProfile(String profileName)
                       throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().createProfile(name)

  Create a profile record with the given name.

  Parameters
    `profileName` - the name of the profile to create
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if errors creating profile
    `P13nControlException`

### deleteProfile

    void deleteProfile(String profileName)
                       throws P13nControlException

  Deprecated use ProfileControl.deleteProfile(profileName)

  Remove a profile

  Parameters
    `profileName` - the name of the profile to remove
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile not found
    `P13nControlException`

### getAllProfileNames

    String[] getAllProfileNames()
                                throws P13nControlException

  Deprecated use ProfileControl.getAllProfileNames()

  Return a list of all profiles that this ProfileManager knows about.

  Returns
    a String array of profile names, or null if none were found
  Throws
    `P13nControlException`

### getJndiName

    String getJndiName()
                       throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getJNDIName()

  Retrieve the jndi name used by this ProfileManager. A combination of pk string and jndi name is always unique between profiles.

  Returns
    the jndi name for this profile
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if remote errors accessing UserProfileManager EJB
    `P13nControlException`

### getProfileName

    String getProfileName(long profileId)
                          throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getProfileName()

  Get the name of a profile based on its unique identifier.

  Parameters
    `profileId` - the unique id to lookup
  Returns
    the profile's name
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if the profile does not exist
    `P13nControlException`

### getProperties

    EntityPropertyCache getProperties(String profileName)
                                      throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getProperties()

  Get all properties for this profile

  Parameters
    `profileName` - the name of the profile for which properties will be retrieved
  Returns
    the cache of retrieved properties
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### getPropertiesInPropertySet

    EntityPropertyCache getPropertiesInPropertySet(String profileName,
                                                   String propertySetName)
                                                   throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getPropertiesInPropertySet()

  Get all properties for this profile and named property set

  Parameters
    `profileName` - the name of the profile for which properties will be retrieved
    `propertySetName` - the name of the property set to be searched
  Returns
    the cache of retrieved properties
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### getPropertiesForKeys

    EntityPropertyCache getPropertiesForKeys(String profileName,
                                             Set propertyMapKeys)
                                             throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getPropertiesForKeys()

  Get all properties for this profile and property set/name keys contained in the Set of propertyMapKeys

  Parameters
    `profileName` - the name of the profile for which properties will be retrieved
    `propertyMapKeys` - the set of property set/name keys
  Returns
    the cache of retrieved properties
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`
  See Also
    `PropertyMapKey`

### getProperty

    Object getProperty(String profileName,
                       String propertySet,
                       String propertyName)
                       throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getProperty()

  Get a property from the profile. If the property is not found, the default value from the property set will be returned.

  Parameters
    `profileName` - the name of the profile to read
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
  Returns
    the property's value
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### getPropertyTrySuccessor

    Object getPropertyTrySuccessor(String profileName,
                                   String propertySet,
                                   String propertyName,
                                   String successor)
                                   throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getPropertyTrySuccessor()

  Get a property from the profile. If the property is not found in the profile, search the profile named in the successor field. If the property is still not found, the default value from the property set will be returned.

  Parameters
    `profileName` - the name of the profile to read
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
    `successor` - the name of the successor whose profile will be searched
  Returns
    the property's value
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile or successor is not valid
    `P13nControlException`

### getPropertyAsString

    String getPropertyAsString(String profileName,
                               String propertySet,
                               String propertyName)
                               throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getPropertyAsString()

  Get a property from the profile, converted to a String If the property is not found, the default value from the property set will be returned.

  Parameters
    `profileName` - the name of the profile to read
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
  Returns
    the property's value
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### getPropertyAsStringTrySuccessor

    String getPropertyAsStringTrySuccessor(String profileName,
                                           String propertySet,
                                           String propertyName,
                                           String successor)
                                           throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getPropertyAsStringTrySuccessor()

  Get a property from the profile as a String. If the property is not found in the profile, search the profile named in the successor field. If the property is still not found, the default value from the property set will be returned.

  Parameters
    `profileName` - the name of the profile to read
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
    `successor` - the name of the successor whose profile will be searched
  Returns
    the property's value
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile or successor is not valid
    `P13nControlException`

### getPropertyNoDefault

    Object getPropertyNoDefault(String profileName,
                                String propertySet,
                                String propertyName,
                                String successor)
                                throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getPropertyNoDefault()

  Get a property from the profile. If the property is not found in the profile, search the profile named in the successor field. This version will not return the default from the property set.

  Parameters
    `profileName` - the name of the profile to read
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
    `successor` - the name of the successor whose profile will be searched
  Returns
    the property's value
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile or successor is not valid
    `P13nControlException`

### getSuccessor

    String getSuccessor(String profileName,
                        String propertySet)
                        throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getSuccessor()

  Retrieve the successor for the specified property set. For user and group profiles, this will always be a group name.

  Parameters
    `profileName` - the name of the profile to read
    `propertySet` - The name of the property set
  Returns
    the successor's name
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### getUniqueId

    long getUniqueId(String profileName)
                     throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().getUniqueId()

  Retrieve the unique identifier generated for this profile. The unique identifier is used by the EntityPropertyManager to optimize the foreign keys in the persistent storage.

  Parameters
    `profileName` - the name of the profile to read
  Returns
    this entity's unique id
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### removeProperty

    Object removeProperty(String profileName,
                          String propertySet,
                          String propertyName)
                          throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().removeProperty()

  Remove a property from the profile

  Parameters
    `profileName` - the name of the profile to modify
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
  Returns
    the old value of the property
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### removeSuccessor

    void removeSuccessor(String profileName,
                         String propertySet)
                         throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().removeSuccessor()

  Remove the successor for the specified property set.

  Parameters
    `profileName` - the name of the profile to modify
    `propertySet` - The name of the property set
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### setProperty

    void setProperty(String profileName,
                     String propertySet,
                     String propertyName,
                     Object value)
                     throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().setProperty()

  Set a property in the profile

  Parameters
    `profileName` - the name of the profile to modify
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
    `value` - the new value for the property
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile is not valid
    `P13nControlException`

### setSuccessor

    void setSuccessor(String profileName,
                      String propertySet,
                      String successor)
                      throws P13nControlException

  Deprecated Use ProfileControl.getUserProfileManager().setSuccessor()

  Set the successor for the specified property set

  Parameters
    `profileName` - the name of the profile to modify
    `propertySet` - The name of the property set
    `successor` - the name of the successor profile to set
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException;` - if profile or successor is not valid
    `P13nControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.